# Revision: 1.21 $, $Date: 2005/03/21 19:12:14 $
Summary:	GTK+ widgets for libexif
Summary(pl):	Widgety GTK+ do libexif
Name:		libexif-gtk
Version:	0.3.5
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/libexif/%{name}-%{version}.tar.bz2
# Source0-md5:	0ecdba41f3e0f20a11b8555bd2dd2a07
Source1:	%{name}-pl.po
URL:		http://libexif.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libexif-devel >= 1:0.6.12
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	libexif >= 1:0.6.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library of GTK+ widgets for libexif.

%description -l pl
Biblioteka widgetw GTK+ do libexif.

%package devel
Summary:	Header files for libexif-gtk
Summary(pl):	Pliki nagwkowe do libexif-gtk
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel
Requires:	libexif-devel >= 1:0.6.12

%description devel
Header files for libexif-gtk.

%description devel -l pl
Pliki nagwkowe do libexif-gtk.

%package static
Summary:	Static libexif-gtk library
Summary(pl):	Statyczna biblioteka libexif-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libexif-gtk library.

%description static -l pl
Statyczna wersja biblioteki libexif-gtk.

%prep
%setup -q

cp %{SOURCE1} po/pl.po
%{__perl} -pi -e 's/es fr ru/es fr pl ru/' configure.in
rm -f po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libexif-gtk
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libexif-gtk.spec,v $
Revision 1.22  2005/03/21 19:12:14  qboosh
- added pl.po, release 2

Revision 1.21  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.20  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.19  2004/10/19 20:54:54  qboosh
- updated to 0.3.5

Revision 1.18  2004/10/17 22:12:22  qboosh
- updated to 0.3.4 (note: new soname), removed obsolete patches

Revision 1.17  2004/08/18 22:36:32  ankry
- rel. 5 to rebuild

Revision 1.16  2004/07/12 09:21:20  ankry
- fixed epoch issues for libexif/libpcd

Revision 1.15  2004/06/19 22:02:39  qboosh
- merged DEVEL for libexif 0.6.9

Revision 1.12.2.3  2004/06/02 11:45:12  qboosh
- release 4

Revision 1.12.2.2  2004/06/02 11:30:48  qboosh
- BR: pkgconfig

Revision 1.12.2.1  2004/06/02 11:25:40  qboosh
- apply libexif06 patch for libexif 0.6.9

Revision 1.14  2004/06/02 11:44:37  qboosh
- release 3

Revision 1.13  2004/06/02 11:31:19  qboosh
- BR: pkgconfig

Revision 1.12  2004/06/02 11:24:55  qboosh
- added gtk24 patch for gtk+ 2.4.x

Revision 1.11  2004/01/05 12:54:14  jajcus
- copy config.sub from automake

Revision 1.10  2003/08/05 20:49:26  aflinta
- rebuild with newer libexif

Revision 1.9  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/08 10:44:55  qboosh
- use http for sources from sourceforge

Revision 1.6  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.5  2003/01/11 00:36:53  qboosh
- 0.3.3 (for libexif >= 0.5.9)

Revision 1.4  2002/11/25 14:16:52  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/11/24 17:15:17  qboosh
- fixed -devel R, release 2

Revision 1.2  2002/10/31 12:45:39  qboosh
- merge from DEVEL

Revision 1.1.2.1  2002/07/27 15:28:13  qboosh
- 0.3.2 (DEVEL - gtk+2 port)

Revision 1.1  2002/07/08 19:01:55  qboosh
- new; pc patch allows to find gtk+ pkgconfig file
